USE master;
GO
DROP DATABASE foo;
GO

CREATE DATABASE foo;
GO

USE foo;
GO

ALTER DATABASE foo SET RECOVERY SIMPLE;
GO

CREATE TABLE t1 (
	c1 INT IDENTITY,
	c2 CHAR (1000) DEFAULT 'a');
	
CREATE CLUSTERED INDEX t1_cl ON t1 (c1);
GO

SET NOCOUNT ON;
GO
INSERT INTO t1 DEFAULT VALUES;
GO 10000

CHECKPOINT;
GO

-- Now for a minimally logged rebuild...
ALTER INDEX t1_cl ON t1 REBUILD;
GO

SELECT * FROM fn_dblog (NULL, NULL);
GO

CHECKPOINT;
GO

-- Now for fully logged...
ALTER DATABASE foo SET RECOVERY FULL;
GO
BACKUP DATABASE foo TO DISK = 'C:\SQLskills\foo.bck' WITH INIT;
GO

ALTER INDEX t1_cl ON t1 REBUILD;
GO

SELECT * FROM fn_dblog (NULL, NULL);
GO
